Skip to main content
GET
Get Tax For Item

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

departureCountryISO
string
required

Country ISO code of the source country.

shipmentCountryISO
string
required

Country ISO code of the target country.

itemId
string<uuid>
required

The ID of the item to return.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

companyId
string<uuid>
required

The ID of the company to return. Represents a key for identifying a firm within the application.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Query Parameters

taxNumber
string

The tax number of the customer.

invoiceCountryISO
string

The country ISO code of the invoice.

invoiceCountryStateISO
string

The state in the country of the invoice.

shipmentCountryStateISO
string

The state in the target country.

Response

The tax rate for the given item.

Model Class: TaxRate

rate
number<decimal>
required

The given Rate

taxClassId
string<uuid>
required

The ID of the tax class.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

departureCountryISO
string
required

Country ISO code of the address.

shipmentCountryISO
string
required

Country ISO code of the address.